#!/bin/bash

#create a temporary file
sleep 5;
screenshot_dir="$HOME/Screenshots"
timestamp=$(date +"%Y-%m-%d-%H-%M-%S")
screenshot_file="$screenshot_dir/screenshot_$timestamp.png"

grim -g "$(slurp)" - | swappy -f - -o - | pngquant - > "$screenshot_file"

~/.local/bin/pastebin_client.sh upload "$screenshot_file" yes | wl-copy

